import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

import 'package:flutter_hkbyte_ui_beta/flutter_hkbyte_ui_beta.dart';

void main() {
  test('adds one to input values', () {
    final calculator = Calculator();
    expect(calculator.addOne(2), 3);
    expect(calculator.addOne(-7), -6);
    expect(calculator.addOne(0), 1);
    expect(() => calculator.addOne(null), throwsNoSuchMethodError);
  });

  testWidgets('tests toggle button', (WidgetTester tester) async {
    await tester.pumpWidget(ToggleButton(
      options: [
        // ToggleButtonOption(label: 'ગુજરાતી', value: 'ગુજરાતી'),
        ToggleButtonOption(label: 'English', value: 'english'),
      ],
      onChanged: (value) {
        // print(value.value);
      },
    ));
    await tester.pump(Duration(seconds: 3));
    expect(find.text("English"), findsOneWidget);
  });
}
